--- configure.orig	Fri Oct 21 16:40:26 2005
+++ configure	Fri Oct 21 16:49:31 2005
@@ -8640,17 +8640,17 @@
 if test x$fc_config_exec_prefix != x ; then
   fc_config_args="$fc_config_args --exec-prefix=$fc_config_exec_prefix"
   if test x${FC_CONFIG+set} != xset ; then
-    FC_CONFIG=$fc_config_exec_prefix/bin/fontconfig-config
+    FC_CONFIG=$fc_config_exec_prefix/bin/pkg-config
   fi
 fi
 if test x$fc_config_prefix != x ; then
   fc_config_args="$fc_config_args --prefix=$fc_config_prefix"
   if test x${FC_CONFIG+set} != xset ; then
-    FC_CONFIG=$fc_config_prefix/bin/fontconfig-config
+    FC_CONFIG=$fc_config_prefix/bin/pkg-config
   fi
 fi
-# Extract the first word of "fontconfig-config", so it can be a program name with args.
-set dummy fontconfig-config; ac_word=$2
+# Extract the first word of "pkg-config", so it can be a program name with args.
+set dummy pkg-config; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_FC_CONFIG+set}" = set; then
@@ -8714,13 +8714,13 @@
     no_fc=yes
   fi
 else
-  FC_CFLAGS=`$FC_CONFIG $fc_config_args --cflags`
-  FC_LIBS=`$FC_CONFIG $fc_config_args --libs`
-  fc_config_major_version=`$FC_CONFIG $fc_config_args --version | \
+  FC_CFLAGS=`$FC_CONFIG fontconfig $fc_config_args --cflags`
+  FC_LIBS=`$FC_CONFIG fontconfig $fc_config_args --libs`
+  fc_config_major_version=`$FC_CONFIG fontconfig $fc_config_args --modversion | \
          sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
-  fc_config_minor_version=`$FC_CONFIG $fc_config_args --version | \
+  fc_config_minor_version=`$FC_CONFIG fontconfig $fc_config_args --modversion | \
          sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
-  fc_config_micro_version=`$FC_CONFIG $fc_config_args --version | \
+  fc_config_micro_version=`$FC_CONFIG fontconfig $fc_config_args --modversion | \
          sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
   fc_min_major_version=`echo $min_fc_version | \
          sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
@@ -9781,7 +9781,7 @@
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lpng ${png_LIBS} -lz -lm $LIBS"
+LIBS="-L%%LOCALBASE%%/lib -lpng ${png_LIBS} -lz -lm $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -10104,7 +10104,7 @@
 #define HAVE_PNG 1
 _ACEOF
 
-  png_LIBS="-lpng -lz"
+  png_LIBS="-L%%LOCALBASE%%/lib -lpng -lz"
   problem_png=""
 else
   with_png=no
@@ -13074,150 +13074,6 @@
 
   found_gettext=yes
 
-            $UNSET ac_cv_header_intl_h
-  $UNSET ac_cv_func_gettext
-  $UNSET ac_cv_func_bindtextdomain
-  $UNSET ac_cv_func_textdomain
-    $UNSET ac_cv_func_dgettext
-  #bind_textdomain_codeset
-  if test "${ac_cv_header_libintl_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for libintl.h" >&5
-echo $ECHO_N "checking for libintl.h... $ECHO_C" >&6
-if test "${ac_cv_header_libintl_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_libintl_h" >&5
-echo "${ECHO_T}$ac_cv_header_libintl_h" >&6
-else
-  # Is the header compilable?
-echo "$as_me:$LINENO: checking libintl.h usability" >&5
-echo $ECHO_N "checking libintl.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <libintl.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_header_compiler=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking libintl.h presence" >&5
-echo $ECHO_N "checking libintl.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <libintl.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: libintl.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: libintl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libintl.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: libintl.h: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: libintl.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: libintl.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libintl.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: libintl.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libintl.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: libintl.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libintl.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: libintl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libintl.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: libintl.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: libintl.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: libintl.h: in the future, the compiler will take precedence" >&2;}
-    (
-      cat <<\_ASBOX
-## ------------------------------------------ ##
-## Report this to the AC_PACKAGE_NAME lists.  ##
-## ------------------------------------------ ##
-_ASBOX
-    ) |
-      sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-echo "$as_me:$LINENO: checking for libintl.h" >&5
-echo $ECHO_N "checking for libintl.h... $ECHO_C" >&6
-if test "${ac_cv_header_libintl_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_header_libintl_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_libintl_h" >&5
-echo "${ECHO_T}$ac_cv_header_libintl_h" >&6
-
-fi
-if test $ac_cv_header_libintl_h = yes; then
 
 
 
@@ -13857,7 +13713,7 @@
 fi
 
         if test "$no_dgettext" != "yes"; then
-          CFLAGS="$CFLAGS $intl_LIBS $iconv_LIBS"
+          CFLAGS="$CFLAGS $intl_CFLAGS $iconv_CFLAGS"
           LIBS="$LIBS $intl_LIBS $iconv_LIBS"
           echo "$as_me:$LINENO: checking if a simple gettext program link" >&5
 echo $ECHO_N "checking if a simple gettext program link... $ECHO_C" >&6
@@ -13935,10 +13791,8 @@
   else
     with_gettext="no"
     problem_gettext=": Failed to detected GNU gettext"
+    USE_NLS=no
   fi
-else
-  USE_NLS=no
-fi
 
 # libs and buil
 
